pydispatch.robustapply | index

`Robust apply mechanism
Provides a function "call", which can sort out
what arguments a given callable object can take,
and subset the given arguments to match only
those which are acceptable.`

modules-decor heading-text">
Modules

modules-decor">

sys |  |  |

functions-decor heading-text">
Functions

functions-decor">

function(receiver)
  Get function-like callable object for given receiver
  returns (function_or_method, codeObject, fromMethod)
  If fromMethod is true, then the callable already
  has its first argument bound

robustApply(receiver, *arguments, **named)
  Call receiver with arguments and an appropriate subset of named

data-decor heading-text">
Data
data-decor"> |  | func_code = '__code__' im_code = '__code__' im_func = '__func__' im_self = '__self__'